Check-in [b66f9b1356]
Not logged in

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview

SHA1 Hash:b66f9b135684829931c9915f6d807655519477eb
Date: 2013-03-01 07:17:40
User: root
Comment:fixed remasterpup2. updated some pets. ready to build racy 5.5rc2

Tags And Properties
Changes

Changes to woof-code/packages-templates/mplayer_gui/usr/bin/mplayershell

@@ -1,36 +1,81 @@
 #!/bin/sh
 #BK try fix some problems with running mplayer and gmplayer.
+#100821 BK: improve DVD detection.
+#101007 test for 16-bit color depth. no, removed.
+#101218 fixes.
+#130301 exact determination of running xorg driver.
+#130301 turn off screen blanking.
+
+##101007 test color depth...
+#COLORDEPTH="`xwininfo -root | grep -o 'Depth: [0-9][0-9]' | rev | cut -f 1 -d ' ' | rev`"
+#if [ "$COLORDEPTH" = "16" ];then
+# yaf-splash -close box -bg pink -placement center -text "NOTICE: the display color depth is set to 16 bits. Mplayer requires 24-bit depth to work. You will need to run the Xorg Wizard again. (sorry about that, lobby the mplayer developers if you are unhappy about this restriction)" &
+#fi
 
 MYVIDOUT="-vo xv"
-[ "`readlink /usr/X11R7/bin/X`" = "Xvesa" ] && MYVIDOUT="-vo x11"
+[ "`readlink /usr/bin/X`" = "Xvesa" ] && MYVIDOUT="-vo x11" #101218
 
-[ -f /etc/X11/xorg.conf ] && [ "`grep 'card0driver' /etc/X11/xorg.conf | grep '"vesa"'`" != "" ] && MYVIDOUT="-vo x11"
+#130301 exact determination of running xorg driver...
+#[ -f /etc/X11/xorg.conf ] && [ "`grep 'card0driver' /etc/X11/xorg.conf | grep '"vesa"'`" != "" ] && MYVIDOUT="-vo x11"
+VIDEODRIVER='vesa'
+if [ "`readlink /usr/bin/X`" = "Xorg" ];then
+ #xorg.conf does not necessarily tell us what driver is loaded.
+ #got this code from /usr/sbin/report-video...
+ LOADED="$(grep 'Loading .*/xorg/modules/drivers/.*_drv.so' /var/log/Xorg.0.log | rev | cut -f 1 -d '/' | rev | cut -f 1 -d '_' | tr '\n' ' ')"
+ for ALOADED in $LOADED
+ do
+  aPTN="UnloadModule: \"$ALOADED\""
+  bPTN="LoadModule: \"$ALOADED\""
+  CNTload=`grep "$bPTN" /var/log/Xorg.0.log | wc -l`
+  CNTunload=`grep "$aPTN" /var/log/Xorg.0.log | wc -l`
+  [ $CNTload -eq 0 ] && continue
+  [ $CNTunload -ge $CNTload ] && continue
+  VIDEODRIVER="$ALOADED"
+  break
+ done
+fi
+case $VIDEODRIVER in
+ vesa) MYVIDOUT="-vo x11"
+esac
 
 PREFGUI="gmplayer"
 #[ "`which gimv`" != "" ] && PREFGUI="gimv"
 
 #if a specific file passed, play that...
-if [ $1 ];then
+if [ "${1}" ];then #101218 need quotes if passed param has spaces (rox passes $1 in quotes).
  [ "$PREFGUI" = "gimv" ] && exec gimv "$@"
  #exec gmplayer -really-quiet $MYVIDOUT "$@"
+ xset s off -dpms #130301
  nohup gmplayer -really-quiet $MYVIDOUT "$@" &
+ xset s on #130301
  exit
 fi
 
-#detect if a dvd inserted...
-if [ "`cddetect -d/dev/dvd | grep 'no disc'`" = "" ];then
- if [ "`dvd+rw-mediainfo /dev/dvd 2>/dev/null | grep 'Media Book Type' | grep 'DVD-ROM book'`" != "" ];then
-  killall yaf-splash #remove free-space string at top of window.
-  #if [ "`which ogle`" != "" ];then
-  # exec ogle -u gui /dev/dvd #100117
-  if [ -f /usr/local/bin/defaultdvdplayer ];then #100119
-   exec defaultdvdplayer
-  else
-   #exec gmplayer $MYVIDOUT dvd://1
-   nohup gmplayer $MYVIDOUT dvd://1 &
-   exit
+#100821 detect if a dvd inserted (code similar in /usr/local/bin/drive_all)...
+if [ -e /dev/dvd ];then
+ if [ "`cddetect -d/dev/dvd | grep -E 'no disc|tray open'`" = "" ];then
+  ONEDRVNAME="`readlink /dev/dvd | rev | cut -f 1 -d '/' | rev`"
+  dPATTERN='^/dev/'"$ONEDRVNAME"' '
+  if [ "`df | grep "$dPATTERN"`" = "" ];then #only test if not mounted.
+   FLAGDVDVIDEO="`dvd+rw-mediainfo /dev/${ONEDRVNAME} | grep 'Mounted Media: .* DVD-ROM'`"
+   if [ "$FLAGDVDVIDEO" = "" ];then
+    #mount and look for 'video_ts' directory (dir should contain file video_ts.ifo)...
+    mkdir -p /mnt/${ONEDRVNAME}
+    mount -t iso9660 /dev/${ONEDRVNAME} /mnt/${ONEDRVNAME}
+    if [ $? -eq 0 ];then
+     [ -d /mnt/${ONEDRVNAME}/video_ts -o -d /mnt/${ONEDRVNAME}/VIDEO_TS ] && FLAGDVDVIDEO="yes"
+     umount /mnt/${ONEDRVNAME}
+    fi
+   fi
+   if [ "$FLAGDVDVIDEO" != "" ];then
+    [ -f /usr/local/bin/defaultdvdplayer ] && exec defaultdvdplayer
+    xset s off -dpms #130301
+    nohup gmplayer $MYVIDOUT dvdnav:// &
+    xset s on #130301
+    exit
+   fi
   fi
  fi
 fi
 
 #CDTYPE1="`cddetect -d/dev/dvd | grep 'cdtype: audio'`"
@@ -37,8 +82,10 @@
 #CDTYPE2="`cddetect -d/dev/cdrom | grep 'cdtype: audio'`"
 #[ "$CDTYPE1" != "" ] && exec gmplayer $MYVIDOUT
 
 #fall down...
 #exec gmplayer -really-quiet $MYVIDOUT
+xset s off -dpms #130301
 nohup gmplayer -really-quiet $MYVIDOUT &
+xset s on #130301
 
 ###END###

Changes to woof-code/packages-templates/mplayer_gui/usr/share/applications/mplayer.desktop

@@ -5,7 +5,7 @@
 GenericName=Multimedia player
 Comment=Multimedia player
 Icon=mplayer.xpm
 Exec=exec mplayershell
 Terminal=false
-Categories=AudioVideo
+Categories=X-Multimedia-mediaplayer
 MimeType=application/ogg;application/x-ogg;application/sdp;application/smil;application/x-smil;application/streamingmedia;application/x-streamingmedia;application/vnd.rn-realmedia;application/vnd.rn-realmedia-vbr;audio/aac;audio/x-aac;audio/m4a;audio/x-m4a;audio/mp1;audio/x-mp1;audio/mp2;audio/x-mp2;audio/mp3;audio/x-mp3;audio/mpeg;audio/x-mpeg;audio/mpegurl;audio/x-mpegurl;audio/mpg;audio/x-mpg;audio/rn-mpeg;audio/scpls;audio/x-scpls;audio/vnd.rn-realaudio;audio/wav;audio/x-pn-windows-pcm;audio/x-realaudio;audio/x-pn-realaudio;audio/x-ms-wma;audio/x-pls;audio/x-wav;video/mpeg;video/x-mpeg;video/x-mpeg2;video/msvideo;video/x-msvideo;video/quicktime;video/vnd.rn-realvideo;video/x-ms-afs;video/x-ms-asf;video/x-ms-wmv;video/x-ms-wmx;video/x-ms-wvxvideo;video/x-avi;video/x-fli;video/x-theora;video/x-matroska;

Changes to woof-code/rootfs-skeleton/usr/sbin/remasterpup2

@@ -49,10 +49,11 @@
 #130203 change probedisk2 to probedisk.
 #130216 partial support f2fs.
 #130222 convert internationalization from "technosaurus method" to gettext method.
 #130222 virtual-CD detection was broken.
 #130223 various fixes. note, also fixed /usr/sbin/filemnt. now can retain files between remasters.
+#130301 o/p of "losetup" (BB), shows all in use, but "losetup-FULL -a" needs param, also o/p format different.
 
 [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
 
 export TEXTDOMAIN=remasterpup2x #NOTE: rename to avoid clash with 'remasterpup2.mo' used by previous i18n method.
 export OUTPUT_CHARSET=UTF-8
@@ -358,14 +359,19 @@
 #130222 fix this...
 #VIRTUALCD=$(mount -t iso9660|grep '^/dev/loop' | sed -e 's/on[ ].*+//' -e 's/[ ]type[ ]iso9660[ ].*$//')
 ##VIRTUALCD="`grep -E "loop.*iso9660" /proc/mounts | cut -f 1-2 -d ' ' | tr '\n' ' '`" #110808 PANZERKOPF bug fix. 110822 reverted.
 #VIRTUALCD="$(busybox mount | grep -E 'type udf|type iso9660' | cut -f 1,3 -d ' ' | tr '\n' ' ')"
 VIRTUALCD=""
-BBLOSETUP="$(losetup-FULL | tr '\t' ' ' | tr -s ' ')"
+#130301 crap, earlier was using losetup-FULL from util-linux git, now using older 2.21.1, it needs -a param,
+#but also truncates long lines (same as bb losetup) -- what a nuisance...
+#BBLOSETUP="$(losetup-FULL -a | tr '\t' ' ' | tr -d '[:()]' | tr -s ' ')" #130301
 for ONELOOP in `cat /proc/mounts | grep -E ' udf | iso9660 ' | cut -f 1 -d ' ' | tr '\n' ' '`
 do
- ONEISO="$(echo "$BBLOSETUP" | grep "^${ONELOOP} " | rev | cut -f 1 -d '/' | rev)"
+ oPTN="^${ONELOOP} "
+ #ONEISO="$(echo "$BBLOSETUP" | grep "$oPTN" | rev | cut -f 1 -d '/' | rev)"
+ ONEISO="$(cat /proc/mounts | grep "$oPTN" | cut -f 2 -d ' ' | rev | cut -f 1 -d '+' | cut -f 1 -d '/' | rev)" #130301
+ [ "$ONEISO" = "" ] && continue #130301 precaution.
  VIRTUALCD="${VIRTUALCD} ${ONELOOP} ${ONEISO}"
 done
 m_14="$(gettext 'This remaster program needs to read some files off the current live-CD.')
 $(gettext 'You can also use a .iso file if it is already mounted as a virtual CD (you would need to have previously clicked on a .iso file to mount it).')"
 MSG="$m_14"

Changes to woof-distro/Packages-puppy-noarch-official

@@ -113,11 +113,11 @@
 pmetatagger-2.1|pmetatagger|2.1||Multimedia|80K||pmetatagger-2.1.pet|+gtkdialog3,+id3lib,+vorbis-tools|audio file tag editor||||
 pmirror-0.6.1|pmirror|0.6.1||Utility|48K||pmirror-0.6.1.pet|+mirdir|Pmirror backup a directory||||
 pmirrorget-0.2.1|pmirrorget|0.2.1||Internet|28K||pmirrorget-0.2.1.pet|+gtkdialog4|Website File Grabber||||
 pmusic1-1.8.3-1|pmusic1|1.8.3-1||Multimedia|424K||pmusic1-1.8.3-1.pet|+gtkdialog3,+ffmpeg|Pmusic audio player, old version, works with gtkdialog3 in some less-recent puppies||||
 pmusic2-2.6.7|pmusic2|2.6.7||Multimedia|796K||pmusic2-2.6.7.pet|+gtkdialog4&ge0.8.0,+ffmpeg,+cdrkit,+wget,+pschedule,+pburn,+streamripper,+pfilesearch|Music -Player -Manager -Grabber. works with older gtkdialog4 version 0.8.0||||
-pmusic-3.2.2|pmusic|3.2.2||Multimedia|748K||pmusic-3.2.2.pet|+gtkdialog&ge0.8.3,+ffmpeg&ge0.11,+cdrkit,+wget,+pschedule&ge1.1.2,+pburn,+streamripper,+pfilesearch|-player -manager -grabber||||
+pmusic-3.2.3|pmusic|3.2.3||Multimedia|748K||pmusic-3.2.3.pet|+gtkdialog&ge0.8.3,+ffmpeg&ge0.11,+cdrkit,+wget,+pschedule&ge1.1.2,+pburn,+streamripper,+pfilesearch|-player -manager -grabber||||
 pmusic_index_radio-2011.06.26-1|pmusic_index_radio|2011.06.26-1||Multimedia|544K||pmusic_index_radio-2011.06.26-1.pet|+pmusic|Pmusic radio index||||
 pnethood-0.7.i18n|pnethood|0.7.i18n||Network|108K||pnethood-0.7.i18n.pet|+nbtscan,+mountcifs,+samba_client|connect to samba shares||||
 pplog-1.1.3|pplog|1.1.3||Personal|188K||pplog-1.1.3.pet|+perl_tiny,+httpd|PPLOG personal blog, forked from the official 1.1.2 pplog project||||
 pprocess-2.3.2|pprocess|2.3.2||System|56K||pprocess-2.3.2.pet|+gtkdialog4|Pprocess process manager||||
 precord-8.1.4|precord|8.1.4||Multimedia|100K||precord-8.1.4.pet|+ffmpeg,+gtkdialog3,+lame,+alsa-utils|Precord mp3,ogg,wav recorder/player||||
@@ -151,11 +151,11 @@
 simple_wall_set-0.6-noarch|simple_wall_set|0.6-noarch||Desktop|80K||simple_wall_set-0.6-noarch.pet|+gtkdialog4|SWS simple wallpaper setter||||
 snap2-4.21|snap2|4.21||Utility|152K||snap2-4.21.pet|+rsync|Snap2 snapshot backup||||
 ssh_gui-0.7.1-1-p4|ssh_gui|0.7.1-1-p4||Internet|40K||ssh_gui-0.7.1-1-p4.pet|+gtk+,+openssh_client|secure telnet gui|puppy|4||
 sys-info-1.3-1|sys-info|1.3-1||System|148K||sys-info-1.3-1.pet|+xorg|System Information and Video Report, created by TaZoc||||
 usb-modeswitch-data-20120815|usb-modeswitch-data|20120815||BuildingBlock|297K||usb-modeswitch-data-20120815.pet||mode switcher data base||||
-vlc-gtk-2.6.6-noarch|vlc-gtk|2.6.6-noarch||Multimedia|212K||vlc-gtk-2.6.6-noarch.pet|+gtkdialog,+rtmpdump,+vlc_nogui,+xdotools|VLC-gtk - simple VLC frontend||||
+vlc-gtk-2.6.8-noarch|vlc-gtk|2.6.8-noarch||Multimedia|212K||vlc-gtk-2.6.8-noarch.pet|+gtkdialog,+rtmpdump,+vlc_nogui,+xdotools|VLC-gtk - simple VLC frontend||||
 wag_profiles-20121117|wag_profiles|20121117||BuildingBlock|96K||wag_profiles-20121117.pet||wifi access gadget profile manager||||
 wallpaper-0.6.1-1|wallpaper|0.6.1-1||Desktop|116K||wallpaper-0.6.1-1.pet|+gtkdialog4|Set backdrop image||||
 wcpufreq-0.8.1|wcpufreq|0.8.1||System|53K||wcpufreq-0.8.1.pet||CPU Frequency Scaling Tool||||
 woo-ff-0.1.1|woo-ff|0.1.1||Multimedia|48K||woo-ff-0.1.1.pet|+ffmpeg,+gtkdialog3|woo-ff - multimedia converter||||
 xkbconfigmanager-1.2|xkbconfigmanager|1.2||Desktop|144K||xkbconfigmanager-1.2.pet|+xorg|xorg keyboard manager, originally created by dougal||||

Changes to woof-distro/x86/Packages-puppy-common-official

@@ -285,11 +285,11 @@
 pctorrent-1.4|pctorrent|1.4||Internet|64K||pctorrent-1.4.pet|+ctorrent,+gtkdialog3|torrent client gui||||
 pdvdrsab-0.1|pdvdrsab|0.1||Multimedia|52K||pdvdrsab-0.1.pet|+gtkdialog3,+dvdauthor,+vobcopy,+vamps,+ffmpeg|dvd rip,shrink,author,burn||||
 peasyport-1.8|peasyport|1.8||Network|64K||peasyport-1.8.pet||Network port scanner|t2|8.0rc||
 peasyprint-1.8|peasyprint|1.8||Graphic|60K||peasyprint-1.8.pet|+gphotofs,+gtkdialog3|PeasyPrint graphic/photo printing||||
 peasyscale-1.51|peasyscale|1.51||Graphic|40K||peasyscale-1.51.pet||JPEG image resizer|slackware|13.37||
-peasyscan-2.3|peasyscan|2.3||Graphic|204K||peasyscan-2.3.pet||Peasyscan simple image scanner|t2|8.0rc||
+peasyscan-2.4-1|peasyscan|2.4-1||Graphic;scanner|204K||peasyscan-2.4-1.pet||Peasyscan simple image scanner|t2|8.0rc||
 pfilesearch-1.27|pfilesearch|1.27||BuildingBlock|84K||pfilesearch-1.27.pet|+gtkdialog3|needed by pburn, pfind||||
 pfind-4.24|pfind|4.24||Filesystem|188K||pfind-4.24.pet|+gtkdialog3,+pfilesearch|Pfind file finder||||
 phash-2|phash|2||Desktop|24K||phash-2.pet|+rox_filer|adds to rox right-click menu, calc md5sum/sha1sum of a file||||
 picocom-1.2|picocom|1.2||Utility|56K||picocom-1.2.pet||Serial port comms|puppy|4||
 picscale-0.1b-w5|picscale|0.1b-w5||BuildingBlock|52K||picscale-0.1b-w5.pet|+gtk+|cli scale images, used by pPicona, SimpleWALL|puppy|wary5||

Changes to woof-distro/x86/Packages-puppy-wary5-official

@@ -891,11 +891,11 @@
 mp3info_DOC-0.8.5a-w5c|mp3info_DOC|0.8.5a-w5c||BuildingBlock|36K||mp3info_DOC-0.8.5a-w5c.pet||A MP3 techical info viewer and ID3 1.x tag editor|puppy|wary5||
 mpfr_DEV-3.0.1-w5c|mpfr_DEV|3.0.1-w5c||BuildingBlock|848K||mpfr_DEV-3.0.1-w5c.pet|+mpfr|A C library for multipleprecision floatingpoint computations with exact roundi|puppy|wary5||
 mpfr_DOC-3.0.1-w5c|mpfr_DOC|3.0.1-w5c||BuildingBlock|364K||mpfr_DOC-3.0.1-w5c.pet||A C library for multipleprecision floatingpoint computations with exact roundi|puppy|wary5||
 mpg321-0.2.13-2-w5c|mpg321|0.2.13-2-w5c||Multimedia|64K||mpg321-0.2.13-2-w5c.pet|+libao,+libid3tag,+libmad|A simple CML mp3 player|puppy|wary5||
 mpg321_DOC-0.2.13-2-w5c|mpg321_DOC|0.2.13-2-w5c||Multimedia|28K||mpg321_DOC-0.2.13-2-w5c.pet||A simple CML mp3 player|puppy|wary5||
-mplayer_gui-20110929-w5c|mplayer_gui|20110929-w5c||Multimedia|5512K||mplayer_gui-20110929-w5c.pet|+libvpx,+gtk+,+fribidi,+libtheora,+libschroedinger,+ffmpeg,+faac,+faad2,+gtk+,+libcdio,+libvorbis,+lame,+opencore-amr,+speex,+x264,+libogg|Multimedia player, with gui control-panel|puppy|wary5||
+mplayer_gui-20110929-1-w5c|mplayer_gui|20110929-1-w5c||Multimedia;mediaplayer|5512K||mplayer_gui-20110929-1-w5c.pet|+libvpx,+gtk+,+fribidi,+libtheora,+libschroedinger,+ffmpeg,+faac,+faad2,+gtk+,+libcdio,+libvorbis,+lame,+opencore-amr,+speex,+x264,+libogg|Multimedia player, with gui control-panel|puppy|wary5||
 mrxvt-0.5.4-w5|mrxvt|0.5.4-w5||Utility|276K||mrxvt-0.5.4-w5.pet||MRrxvt terminal emulator|puppy|wary5||
 mtpaint-3.40-1-w5c|mtpaint|3.40-1-w5c||Graphic|464K||mtpaint-3.40-1-w5c.pet|+gtk+,+jasper,+lcms,+libtiff|A simple GTK+ painting program|puppy|wary5||
 mtpaint_DOC-3.40-1-w5c|mtpaint_DOC|3.40-1-w5c||Graphic|28K||mtpaint_DOC-3.40-1-w5c.pet||raster image editor||||
 mtpaint_NLS-3.40-1-w5c|mtpaint_NLS|3.40-1-w5c||Graphic|1128K||mtpaint_NLS-3.40-1-w5c.pet|+mtpaint|raster image editor||||
 mtr-0.80-w5c|mtr|0.80-w5c||Network|80K||mtr-0.80-w5c.pet||Matts TraceRoute|puppy|wary5||
@@ -968,12 +968,12 @@
 nvi_DOC-1.79-w5|nvi_DOC|1.79-w5||BuildingBlock|312K||nvi_DOC-1.79-w5.pet||The vi nvi editor|puppy|wary5||
 obmixer_tray-0.11-patched2-w5|obmixer_tray|0.11-patched2-w5||Multimedia|60K||obmixer_tray-0.11-patched2-w5.pet|+alsa-lib,+alsa-utils,+gtk+|volume control for tray|puppy|wary5||
 ogle-0.9.2-patched_debian5.2_libdvdread4.1.3bk-w5c|ogle|0.9.2-patched_debian5.2_libdvdread4.1.3bk-w5c||BuildingBlock|664K||ogle-0.9.2-patched_debian5.2_libdvdread4.1.3bk-w5c.pet|+a52dec,+libdvdcss,+libxml2,+libmad,+libdvdread|cli dvd video player|puppy|wary5||
 ogle_DEV-0.9.2-patched_debian5.2_libdvdread4.1.3bk-w5c|ogle_DEV|0.9.2-patched_debian5.2_libdvdread4.1.3bk-w5c||BuildingBlock|220K||ogle_DEV-0.9.2-patched_debian5.2_libdvdread4.1.3bk-w5c.pet|+ogle|cli dvd video player|puppy|wary5||
 ogle_DOC-0.9.2-patched_debian5.2_libdvdread4.1.3bk-w5c|ogle_DOC|0.9.2-patched_debian5.2_libdvdread4.1.3bk-w5c||BuildingBlock|40K||ogle_DOC-0.9.2-patched_debian5.2_libdvdread4.1.3bk-w5c.pet||cli dvd video player||||
-ogle_gui-0.9.2-patched4.2-w5c|ogle_gui|0.9.2-patched4.2-w5c||Multimedia|312K||ogle_gui-0.9.2-patched4.2-w5c.pet|+ogle,+gtk+|Ogle DVD movie player|puppy|wary5||
-ogle_gui_NLS-0.9.2-patched4.2-w5c|ogle_gui_NLS|0.9.2-patched4.2-w5c||BuildingBlock|160K||ogle_gui_NLS-0.9.2-patched4.2-w5c.pet|+ogle_gui|dvd player||||
+ogle_gui-0.9.2-patched4.2-1-w5c|ogle_gui|0.9.2-patched4.2-1-w5c||Multimedia;mediaplayer|312K||ogle_gui-0.9.2-patched4.2-1-w5c.pet|+ogle,+gtk+|Ogle DVD movie player|puppy|wary5||
+ogle_gui_NLS-0.9.2-patched4.2-1-w5c|ogle_gui_NLS|0.9.2-patched4.2-1-w5c||Multimedia;mediaplayer|160K||ogle_gui_NLS-0.9.2-patched4.2-1-w5c.pet|+ogle_gui|dvd player||||
 opencore-amr-0.1.2-w5c|opencore-amr|0.1.2-w5c||BuildingBlock|292K||opencore-amr-0.1.2-w5c.pet||speech codec library|puppy|wary5||
 opencore-amr_DEV-0.1.2-w5c|opencore-amr_DEV|0.1.2-w5c||BuildingBlock|1420K||opencore-amr_DEV-0.1.2-w5c.pet|+opencore-amr|speech codec library|puppy|wary5||
 OpenSP-1.5.2-w5|OpenSP|1.5.2-w5||BuildingBlock|2576K||OpenSP-1.5.2-w5.pet||sgml parser library, needed by libofx|puppy|wary5||
 OpenSP_DEV-1.5.2-w5|OpenSP_DEV|1.5.2-w5||BuildingBlock|13368K||OpenSP_DEV-1.5.2-w5.pet|+OpenSP|sgml parser|puppy|wary5||
 openssh-5.8p2-w5c|openssh|5.8p2-w5c||BuildingBlock|1776K||openssh-5.8p2-w5c.pet||add widescreen resolutions to video bios, intel video chips only|puppy|wary5||

Changes to woof-distro/x86/pet-based/racy/DISTRO_PKGS_SPECS-puppy-wary5

@@ -670,11 +670,11 @@
 no|swfdec_cut||exe,dev,doc,nls
 no|swfdec-mozilla||exe
 no|sylpheed|sylpheed|exe,dev,doc,nls
 yes|sys-freedos||exe
 yes|sysfsutils|sysfsutils|exe,dev,doc,nls
-yes|sys-info||exe,dev,doc,nls
+no|sys-info||exe,dev,doc,nls
 no|syslinux|syslinux|exe,dev>null,doc,nls
 yes|syslinux||exe
 yes|sysprof|sysprof|exe>dev,dev,doc,nls
 yes|sysvinit||exe
 yes|tar|tar|exe,dev>null,doc,nls

Changes to woof-distro/x86/pet-based/racy/DISTRO_SPECS

@@ -1,15 +1,15 @@
 #One or more words that identify this distribution:
 DISTRO_NAME='Racy Puppy'
 #version number of this distribution:
-DISTRO_VERSION=5.4.91
+DISTRO_VERSION=5.4.93
 #The distro whose binary packages were used to build this distribution:
 DISTRO_BINARY_COMPAT='puppy'
 #Prefix for some filenames: exs: racysave.2fs, racy-5.1.107.sfs
 DISTRO_FILE_PREFIX='racy'
 #The version of the distro whose binary packages were used to build this distro:
 DISTRO_COMPAT_VERSION='wary5'
 #the kernel pet package used:
-DISTRO_KERNEL_PET='linux_kernel-3.8.0-nopae-f2fs-i586-wary.pet'
+DISTRO_KERNEL_PET='linux_kernel-3.0.66-nopae-i686-wary.pet'
 #subname for online PETs dir. Ex: 'slacko14', dir 'pet_packages-slacko14', db file 'Packages-puppy-slacko14-official':
 #note: prior to existence of this variable, online subname was set to $DISTRO_COMPAT_VERSION or via some hack code.
 DISTRO_DB_SUBNAME='wary5'